--- title: "Chatbot Intent Category" slug: "server-api-bot-chatbot-intent-category" updated: 2022-07-14T02:03:46Z published: 2022-07-14T02:03:46Z canonical: "developer.comm100.com/server-api-bot-chatbot-intent-category" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Chatbot Intent Category ## Chatbot Intent Category - `Categories` - Categories Manage - `GET bot/chatbotIntentCategories` - [Get the list of Categories](/docs/server-api-bot-chatbot-intent-category#get-the-list-of-categories) - `GET bot/chatbotIntentCategories/{id}` - [Get a single Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#get-a-single-chatbot-intent-category) - `POST bot/chatbotIntentCategories` - [Create a new Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#create-a-new-chatbot-intent-category) - `PUT bot/chatbotIntentCategories/{id}` - [Update the Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#update-the-chatbot-intent-category) - `DELETE bot/chatbotIntentCategories/{id}` - [Remove the Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#remove-the-chatbot-intent-category) ### Chatbot Intent Category JSON Format Chatbot Intent Category is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the category. | | `chatbotId` | guid | Id of the chatbot. | | `name` | string | Name of the category. | | `order` | integer | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | Parent Id of the category. | ### Get the list of Categories `GET bot/chatbotIntentCategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `chatbotId` | guid | query | no | Id of the chatbot. | | `parentId` | guid | query | no | Parent Id of the category. | - #### Response: An array of [Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#chatbot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbotIntentCategories \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ] ``` ### Get a single Chatbot Intent Category `GET bot/chatbotIntentCategories/{id}` - #### Parameters: No Parameters - #### Response: [Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#chatbot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbotIntentCategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Create a new Chatbot Intent Category `POST bot/chatbotIntentCategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `chatbotId` | guid | body | yes | Id of the chatbot. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | no | Parent Id of the category. | - #### Response: [Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#chatbot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbotIntentCategories \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"chatbotId":"e8bf0d25-eed6-4a46-a417-318e15019609","name":"fruit","order":1,"parentId":"3bfcf193-9939-4abd-a832-2625ea02e75b"}' ``` Response: HTTP/1.1 201 Created ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Update the Chatbot Intent Category `PUT bot/chatbotIntentCategories/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `Id` | guid | body | yes | Id of the Chatbot Intent Category. | | `chatbotId` | guid | body | yes | Id of the chatbot. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | yes | Parent Id of the category. | - #### Response: [Chatbot Intent Category](/docs/server-api-bot-chatbot-intent-category#chatbot-intent-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbotIntentCategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"id":"ee705b05-33c0-43b6-ab4a-a138f28b6aa2","chatbotId":"e8bf0d25-eed6-4a46-a417-318e15019609","name":"fruit","order":1,"parentId":"3bfcf193-9939-4abd-a832-2625ea02e75b"}' ``` Response: HTTP/1.1 200 OK ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Remove the Chatbot Intent Category `DELETE bot/chatbotIntentCategories/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/chatbotIntentCategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content